OTP::Advertisement::Name::name_data Struct Reference

The name_data struct. More...

`#include <advertisement.h>`

Inheritance diagram for OTP::Advertisement::Name::name_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| name_data::iStream More...
void | oStream (PDU::Stream) const override
| name_data::oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

union {
u_int8_t flags
struct {
uint8_t x_reserved: 7
bool response: 1
} |
}; |
uint32_t | reserved
| reserved
std::vector< point_description > | points
| list of point descriptions

## Detailed Description

The name_data struct.

## Member Function Documentation

## iStream()

void OTP::Advertisement::Name::name_data::iStream | ( | PDU::Stream | stream | ) |

override

name_data::iStream

Parameters

  stream |

## oStream()

void OTP::Advertisement::Name::name_data::oStream | ( | PDU::Stream | stream | ) | const

override

name_data::oStream

Parameters

  stream |

## streamSize()

size_t OTP::Advertisement::Name::name_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/advertisement.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/advertisement.cpp